cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXA

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXA

- All Implemented Interfaces:
    ISegment

      public class RXA
      extends Segment

  RXA - Pharmacy/Treatment Administration Segment.

  The RXA (Pharmacy/Treatment Administration)carries the administration data.

  Represents an HL7 RXA message segment. This segment has the following fields:

  RXA-1: Give Sub-ID Counter (NM)Required
  RXA-2: Administration Sub-ID Counter (NM)Required
  RXA-3: Date/Time Start of Administration (DTM)Required
  RXA-4: Date/Time End of Administration (DTM)Required
  RXA-5: Administered Code (CWE)Required
  RXA-6: Administered Amount (NM)Required
  RXA-7: Administered Units (CWE)Conditional
  RXA-8: Administered Dosage Form (CWE)Optional
  RXA-9: Administration Notes (CWE)Optional
  RXA-10: Administering Provider (XCN)Backward
  RXA-11: Administered-at Location (LA2)Withdrawn
  RXA-12: Administered Per (Time Unit) (ST)
  RXA-13: Administered Strength (NM)Conditional
  RXA-14: Administered Strength Units (CWE)Optional
  RXA-15: Substance Lot Number (ST)Optional
  RXA-16: Substance Expiration Date (DTM)Optional
  RXA-17: Substance Manufacturer Name (CWE)Optional
  RXA-18: Substance/Treatment Refusal Reason (CWE)Optional
  RXA-19: Indication (CWE)Optional
  RXA-20: Completion Status (ID)Optional
  RXA-21: Action Code - RXA (ID)Optional
  RXA-22: System Entry Date/Time (DTM)Optional
  RXA-23: Administered Drug Strength Volume (NM)Optional
  RXA-24: Administered Drug Strength Volume Units (CWE)Optional
  RXA-25: Administered Barcode Identifier (CWE)Optional
  RXA-26: Pharmacy Order Type (ID)Optional
  RXA-27: Administer-at (PL)Optional
  RXA-28: Administered-at Address (XAD)Optional
  RXA-29: Administered Tag Identifier (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXA()` Constructs the RXA segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdministeredTagIdentifier(EI objAdministeredTagIdentifier)` Add the Administered Tag Identifier.
    `void` | `addAdministeredTagIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Administered Tag Identifier.
    `void` | `addAdministeringProvider(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Administering Provider.
    `void` | `addAdministeringProvider(XCN objadministeringProvider)` Add the Administering Provider.
    `void` | `addAdministrationNotes(CWE objadministrationNotes)` Add the Administration Notes.
    `void` | `addAdministrationNotes(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Administration Notes.
    `void` | `addIndication(CWE objindication)` Add the Indication.
    `void` | `addIndication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Indication.
    `void` | `addSubstanceExpirationDate(DTM objsubstanceExpirationDate)` Add the Substance Expiration Date.
    `void` | `addSubstanceExpirationDate(java.lang.String strTime)` Add the Substance Expiration Date.
    `void` | `addSubstanceLotNumber(ST objsubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceManufacturerName(CWE substanceManufacturerName)` Add the Substance Manufacturer Name.
    `void` | `addSubstanceManufacturerName(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Substance Manufacturer Name.
    `void` | `addSubstanceTreatmentRefusalReason(CWE objsubstanceTreatmentRefusalReason)` Add the Substance Treatment Refusal Reason.
    `void` | `addSubstanceTreatmentRefusalReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Substance Treatment Refusal Reason.
    `ID` | `getActionCode_RXA()` Retrieves the Action Code RXA.
    `CWE` | `getAdminBarcodeIdentifier()` Retrieves the Admin Barcode Identifier.
    `NM` | `getAdminDrugStrengthVolume()` Retrieves the Admin Drug Strength Volume.
    `CWE` | `getAdminDrugStrengthVolumeUnits()` Retrieves the Admin Drug Strength Volume Units.
    `PL` | `getAdministerAt()` Retrieves the Administer-at.
    `NM` | `getAdministeredAmount()` Retrieves the Administered Amount.
    `XAD` | `getAdministeredAtAddress()` Retrieves the Administered-at Address.
    `CWE` | `getAdministeredCode()` Retrieves the Administered Code.
    `CWE` | `getAdministeredDosageForm()` Retrieves the Administered Dosage Form.
    `ST` | `getAdministeredPerTimeUnit()` Retrieves the Administered Per Time Unit.
    `NM` | `getAdministeredStrength()` Retrieves the Administered Strength.
    `CWE` | `getAdministeredStrengthUnits()` Retrieves the Administered Strength Units.
    `ISingleCollection<EI>` | `getAdministeredTagIdentifier()` Retrieves the Administered Tag Identifier.
    `CWE` | `getAdministeredUnits()` Retrieves the Administered Units.
    `ISingleCollection<XCN>` | `getAdministeringProvider()` Retrieves the Administering Provider.
    `ISingleCollection<CWE>` | `getAdministrationNotes()` Retrieves the Administration Notes.
    `NM` | `getAdministrationSub_IDCounter()` Retrieves the Administration Sub ID Counter.
    `ID` | `getCompletionStatus()` Retrieves the Completion Status.
    `DTM` | `getDateTimeEndofAdministration()` Retrieves the Date/Time End of Administration.
    `DTM` | `getDateTimeStartofAdministration()` Retrieves the Date Time Startof Administration.
    `NM` | `getGiveSub_IDCounter()` Retrieves the Give Sub ID Counter.
    `ISingleCollection<CWE>` | `getIndication()` Retrieves the Indication.
    `ID` | `getPharmacyOrderType()` Retrieves the Pharmacy Order Type.
    `ISingleCollection<DTM>` | `getSubstanceExpirationDate()` Retrieves the Substance Expiration Date.
    `ISingleCollection<ST>` | `getSubstanceLotNumber()` Retrieves the Substance Lot Number.
    `ISingleCollection<CWE>` | `getSubstanceManufacturerName()` Retrieves the Substance Manufacturer Name.
    `ISingleCollection<CWE>` | `getSubstanceTreatmentRefusalReason()` Retrieves the Substance Treatment Refusal Reason.
    `DTM` | `getSystemEntryDateTime()` Retrieves the System Entry Date Time.
    `void` | `setActionCode_RXA(ID objactionCode_RXA)` Set the Action Code RXA.
    `void` | `setActionCode_RXA(java.lang.String strActionCode_RXA)` Set the Action Code RXA.
    `void` | `setAdminBarcodeIdentifier(CWE objadminBarcodeIdentifier)` Set the Admin Barcode Identifier.
    `void` | `setAdminBarcodeIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admin Barcode Identifier.
    `void` | `setAdminDrugStrengthVolume(NM objadminDrugStrengthVolume)` Set the Admin Drug Strength Volume.
    `void` | `setAdminDrugStrengthVolume(java.lang.String strAdminDrugStrengthVolume)` Set the Admin Drug Strength Volume.
    `void` | `setAdminDrugStrengthVolumeUnits(CWE objadminDrugStrengthVolumeUnits)` Set the Admin Drug Strength Volume Unitsvolumetric.
    `void` | `setAdminDrugStrengthVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admin Drug Strength Volume Unitsvolumetric.
    `void` | `setAdministerAt(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Administer-at.
    `void` | `setAdministerAt(PL objAdministerAt)` Set the Administer-at.
    `void` | `setAdministeredAmount(NM objadministeredAmount)` Set the Administered Amount.
    `void` | `setAdministeredAmount(java.lang.String strAdministeredAmount)` Set the Administered Amount.
    `void` | `setAdministeredAtAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Administered-at Address.
    `void` | `setAdministeredAtAddress(XAD objAdministeredAtAddress)` Set the Administered-at Address.
    `void` | `setAdministeredCode(CWE objadministeredCode)` Set the Administered Code.
    `void` | `setAdministeredCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administered Code.
    `void` | `setAdministeredDosageForm(CWE objadministeredDosageForm)` Set the Administered Dosage Form.
    `void` | `setAdministeredDosageForm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administered Dosage Form.
    `void` | `setAdministeredPerTimeUnit(ST objadministeredPerTimeUnit)` Set the Administered Per Time Unit.
    `void` | `setAdministeredPerTimeUnit(java.lang.String strAdministeredPerTimeUnit)` Set the Administered Per Time Unit.
    `void` | `setAdministeredStrength(NM objadministeredStrength)` Set the Administered Strength.
    `void` | `setAdministeredStrength(java.lang.String strAdministeredStrength)` Set the Administered Strength.
    `void` | `setAdministeredStrengthUnits(CWE objadministeredStrengthUnits)` Set the Administered Strength Units.
    `void` | `setAdministeredStrengthUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administered Strength Units.
    `void` | `setAdministeredTagIdentifier(ISingleCollection<EI> objAdministeredTagIdentifierList)` Set the Administered Tag Identifier.
    `void` | `setAdministeredUnits(CWE objadministeredUnits)` Set the Administered Units.
    `void` | `setAdministeredUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administered Units.
    `void` | `setAdministeringProvider(ISingleCollection<XCN> objadministeringProviderList)` Set the Administering Provider.
    `void` | `setAdministrationNotes(ISingleCollection<CWE> objadministrationNotesList)` Set the Administration Notes.
    `void` | `setAdministrationSub_IDCounter(NM objadministrationSub_IDCounter)` Set the Administration Sub ID Counter.
    `void` | `setAdministrationSub_IDCounter(java.lang.String strAdministrationSub_IDCounter)` Set the Administration Sub ID Counter.
    `void` | `setCompletionStatus(ID objcompletionStatus)` Set the Completion Status.
    `void` | `setCompletionStatus(java.lang.String strCompletionStatus)` Set the Completion Status.
    `void` | `setDateTimeEndofAdministration(DTM objdateTimeEndofAdministration)` Set the Date/Time End of Administration.
    `void` | `setDateTimeEndofAdministration(java.lang.String strTime)` Set the Date/Time End of Administration.
    `void` | `setDateTimeStartofAdministration(DTM objdateTimeStartofAdministration)` Set the Date Time Start of Administration.
    `void` | `setDateTimeStartofAdministration(java.lang.String strTime)` Set the Date Time Start of Administration.
    `void` | `setGiveSub_IDCounter(NM objgiveSub_IDCounter)` Set the Give Sub ID Counter.
    `void` | `setGiveSub_IDCounter(java.lang.String strGiveSub_IDCounter)` Set the Give Sub ID Counter.
    `void` | `setIndication(ISingleCollection<CWE> objindicationList)` Set the Indication.
    `void` | `setPharmacyOrderType(ID objpharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyOrderType(java.lang.String strPharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)` Set the Substance Expiration Date.
    `void` | `setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)` Set the Substance Lot Number.
    `void` | `setSubstanceManufacturerName(ISingleCollection<CWE> substanceManufacturerNameList)` Set the Substance Manufacturer Name.
    `void` | `setSubstanceTreatmentRefusalReason(ISingleCollection<CWE> objsubstanceTreatmentRefusalReasonList)` Set the Substance Treatment Refusal Reason.
    `void` | `setSystemEntryDateTime(DTM objsystemEntryDateTime)` Set the System Entry Date Time.
    `void` | `setSystemEntryDateTime(java.lang.String strTime)` Set the System Entry Date Time.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXA

          public RXA()

      Constructs the RXA segment.

  - ### Method Detail

    - #### getActionCode_RXA

          public ID getActionCode_RXA()

      Retrieves the Action Code RXA.
      Returns:
        ID - actionCode_RXA

    - #### getAdminBarcodeIdentifier

          public CWE getAdminBarcodeIdentifier()

      Retrieves the Admin Barcode Identifier. This specify pharmacy system's assigned barcode number for the give occurrence.
      Returns:
        CWE - adminBarcodeIdentifier

    - #### getAdminDrugStrengthVolume

          public NM getAdminDrugStrengthVolume()

      Retrieves the Admin Drug Strength Volume. This specify the volume measurement in which the drug strength concentration is contained.
      Returns:
        NM - adminDrugStrengthVolume

    - #### getAdminDrugStrengthVolumeUnits

          public CWE getAdminDrugStrengthVolumeUnits()

      Retrieves the Admin Drug Strength Volume Units. This specify volumetric unit associated with RXA-23 Administered Drug Strength Volume.
      Returns:
        CWE - adminDrugStrengthVolumeUnits

    - #### getAdministeredAmount

          public NM getAdministeredAmount()

      Retrieves the Administered Amount.
      Returns:
        NM - administeredAmount

    - #### getAdministeredCode

          public CWE getAdministeredCode()

      Retrieves the Administered Code.
      Returns:
        CWE - administeredCode

    - #### getAdministeredDosageForm

          public CWE getAdministeredDosageForm()

      Retrieves the Administered Dosage Form.
      Returns:
        CWE - administeredDosageForm

    - #### getAdministeredPerTimeUnit

          public ST getAdministeredPerTimeUnit()

      Retrieves the Administered Per Time Unit.
      Returns:
        ST - administeredPerTimeUnit

    - #### getAdministeredStrength

          public NM getAdministeredStrength()

      Retrieves the Administered Strength.
      Returns:
        NM - administeredStrength

    - #### getAdministeredStrengthUnits

          public CWE getAdministeredStrengthUnits()

      Retrieves the Administered Strength Units.
      Returns:
        CWE - administeredStrengthUnits

    - #### getAdministeredUnits

          public CWE getAdministeredUnits()

      Retrieves the Administered Units.
      Returns:
        CWE - administeredUnits

    - #### getAdministeringProvider

          public ISingleCollection<XCN> getAdministeringProvider()

      Retrieves the Administering Provider. This field provides ID of the person who administering the pharmaceutical/treatment.
      Returns:
        ISingleCollection - administeringProvider

    - #### getAdministrationNotes

          public ISingleCollection<CWE> getAdministrationNotes()

      Retrieves the Administration Notes.
      Returns:
        ISingleCollection - administrationNotes

    - #### getAdministrationSub_IDCounter

          public NM getAdministrationSub_IDCounter()

      Retrieves the Administration Sub ID Counter. This field starts with 1 the first time that medication/treatment is administer for this order. Increments by one with each additional administration the medication/treatment.
      Returns:
        NM - administrationSub_IDCounter

    - #### getCompletionStatus

          public ID getCompletionStatus()

      Retrieves the Completion Status.
      Returns:
        ID - completionStatus

    - #### getDateTimeEndofAdministration

          public DTM getDateTimeEndofAdministration()

      Retrieves the Date/Time End of Administration.
      Returns:
        DTM - dateTimeEndofAdministration

    - #### getDateTimeStartofAdministration

          public DTM getDateTimeStartofAdministration()

      Retrieves the Date Time Startof Administration.
      Returns:
        DTM - dateTimeStartofAdministration

    - #### getGiveSub_IDCounter

          public NM getGiveSub_IDCounter()

      Retrieves the Give Sub ID Counter. This field matches the RXA segment to its corresponding RXG segment.
      Returns:
        NM - giveSub_IDCounter

    - #### getIndication

          public ISingleCollection<CWE> getIndication()

      Retrieves the Indication.
      Returns:
        ISingleCollection - indication

    - #### getPharmacyOrderType

          public ID getPharmacyOrderType()

      Retrieves the Pharmacy Order Type. This specify general category of pharmacy order which may be used to determine the processing path the order will take.
      Returns:
        ID - pharmacyOrderType

    - #### getSubstanceExpirationDate

          public ISingleCollection<DTM> getSubstanceExpirationDate()

      Retrieves the Substance Expiration Date.
      Returns:
        ISingleCollection - substanceExpirationDate

    - #### getSubstanceLotNumber

          public ISingleCollection<ST> getSubstanceLotNumber()

      Retrieves the Substance Lot Number.
      Returns:
        ISingleCollection - substanceLotNumber

    - #### getSubstanceManufacturerName

          public ISingleCollection<CWE> getSubstanceManufacturerName()

      Retrieves the Substance Manufacturer Name.
      Returns:
        ISingleCollection - substanceManufacturerName

    - #### getSubstanceTreatmentRefusalReason

          public ISingleCollection<CWE> getSubstanceTreatmentRefusalReason()

      Retrieves the Substance Treatment Refusal Reason.
      Returns:
        ISingleCollection - substanceTreatmentRefusalReason

    - #### getSystemEntryDateTime

          public DTM getSystemEntryDateTime()

      Retrieves the System Entry Date Time. This field Date/time information is entered into the source system.
      Returns:
        DTM - systemEntryDateTime

    - #### getAdministeredAtAddress

          public XAD getAdministeredAtAddress()

      Retrieves the Administered-at Address. This field specifies the location where the drug or treatment was administered.
      Returns:
        XAD - Administered-at Address

    - #### getAdministerAt

          public PL getAdministerAt()

      Retrieves the Administer-at. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Returns:
        PL - Administer-at

    - #### getAdministeredTagIdentifier

          public ISingleCollection<EI> getAdministeredTagIdentifier()

      Retrieves the Administered Tag Identifier.
      Returns:
        ISingleCollection - Administered Tag Identifier

    - #### setActionCode_RXA

          public void setActionCode_RXA(java.lang.String strActionCode_RXA)

      Set the Action Code RXA.
      Parameters:
        `strActionCode_RXA` - String which to set as Action Code - RXA

    - #### setActionCode_RXA

          public void setActionCode_RXA(ID objactionCode_RXA)

      Set the Action Code RXA.
      Parameters:
        `objactionCode_RXA` - Object of Action Code RXA.

    - #### setAdminBarcodeIdentifier

          public void setAdminBarcodeIdentifier(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admin Barcode Identifier. This specify pharmacy system's assigned barcode number for the give occurrence.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdminBarcodeIdentifier

          public void setAdminBarcodeIdentifier(CWE objadminBarcodeIdentifier)

      Set the Admin Barcode Identifier. This specify pharmacy system's assigned barcode number for the give occurrence.
      Parameters:
        `objadminBarcodeIdentifier` - Object of Admin Barcode Identifier.

    - #### setAdminDrugStrengthVolume

          public void setAdminDrugStrengthVolume(java.lang.String strAdminDrugStrengthVolume)

      Set the Admin Drug Strength Volume. This specify the volume measurement in which the drug strength concentration is contained.
      Parameters:
        `strAdminDrugStrengthVolume` - This field contains the String Value of Administered Drug Strength Volume

    - #### setAdminDrugStrengthVolume

          public void setAdminDrugStrengthVolume(NM objadminDrugStrengthVolume)

      Set the Admin Drug Strength Volume. This specify the volume measurement in which the drug strength concentration is contained.
      Parameters:
        `objadminDrugStrengthVolume` - Object of Admin Drug Strength Volume.

    - #### setAdminDrugStrengthVolumeUnits

          public void setAdminDrugStrengthVolumeUnits(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admin Drug Strength Volume Unitsvolumetric. This specify volumetric unit associated with RXA-23 Administered Drug Strength Volume.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdminDrugStrengthVolumeUnits

          public void setAdminDrugStrengthVolumeUnits(CWE objadminDrugStrengthVolumeUnits)

      Set the Admin Drug Strength Volume Unitsvolumetric. This specify volumetric unit associated with RXA-23 Administered Drug Strength Volume.
      Parameters:
        `objadminDrugStrengthVolumeUnits` - Object of Admin Drug Strength Volume Unitsvolumetric.

    - #### setAdministeredAmount

          public void setAdministeredAmount(java.lang.String strAdministeredAmount)

      Set the Administered Amount.
      Parameters:
        `strAdministeredAmount` - This field contains the String Value of Administered Amount

    - #### setAdministeredAmount

          public void setAdministeredAmount(NM objadministeredAmount)

      Set the Administered Amount.
      Parameters:
        `objadministeredAmount` - Object of Administered Amount.

    - #### setAdministeredCode

          public void setAdministeredCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administered Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministeredCode

          public void setAdministeredCode(CWE objadministeredCode)

      Set the Administered Code.
      Parameters:
        `objadministeredCode` - Object of Administered Code.

    - #### setAdministeredDosageForm

          public void setAdministeredDosageForm(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administered Dosage Form.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministeredDosageForm

          public void setAdministeredDosageForm(CWE objadministeredDosageForm)

      Set the Administered Dosage Form.
      Parameters:
        `objadministeredDosageForm` - Object of Administered Dosage Form.

    - #### setAdministeredPerTimeUnit

          public void setAdministeredPerTimeUnit(java.lang.String strAdministeredPerTimeUnit)

      Set the Administered Per Time Unit. RXA-6-administered amount and RXA-7-administered units.
      Parameters:
        `strAdministeredPerTimeUnit` - This field contains the String Value of Administered Per Time Unit

    - #### setAdministeredPerTimeUnit

          public void setAdministeredPerTimeUnit(ST objadministeredPerTimeUnit)

      Set the Administered Per Time Unit. RXA-6-administered amount and RXA-7-administered units.
      Parameters:
        `objadministeredPerTimeUnit` - Object of Administered Per Time Unit.

    - #### setAdministeredStrength

          public void setAdministeredStrength(java.lang.String strAdministeredStrength)

      Set the Administered Strength.
      Parameters:
        `strAdministeredStrength` - This field contains the String Value of Administered Strength

    - #### setAdministeredStrength

          public void setAdministeredStrength(NM objadministeredStrength)

      Set the Administered Strength.
      Parameters:
        `objadministeredStrength` - Object of Administered Strength.

    - #### setAdministeredStrengthUnits

          public void setAdministeredStrengthUnits(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administered Strength Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministeredStrengthUnits

          public void setAdministeredStrengthUnits(CWE objadministeredStrengthUnits)

      Set the Administered Strength Units.
      Parameters:
        `objadministeredStrengthUnits` - Object of Administered Strength Units.

    - #### setAdministeredUnits

          public void setAdministeredUnits(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administered Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministeredUnits

          public void setAdministeredUnits(CWE objadministeredUnits)

      Set the Administered Units.
      Parameters:
        `objadministeredUnits` - Object of Administered Units.

    - #### addAdministeringProvider

          public void addAdministeringProvider(java.lang.String strIDNumber,
                                      FN objFamilyName,
                                      java.lang.String strGivenName,
                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                      java.lang.String strSuffix,
                                      java.lang.String strPrefix,
                                      CWE objSourceTable,
                                      HD objAssigningAuthority,
                                      java.lang.String strNameTypeCode,
                                      java.lang.String strIdentifierCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strNameRepresentationCode,
                                      CWE objNameContext,
                                      java.lang.String strNameAssemblyOrder,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      java.lang.String strProfessionalSuffix,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepratment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Add the Administering Provider. This field provides ID of the person who administering the pharmaceutical/treatment.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addAdministeringProvider

          public void addAdministeringProvider(XCN objadministeringProvider)

      Add the Administering Provider. This field provides ID of the person who administering the pharmaceutical/treatment.
      Parameters:
        `objadministeringProvider` - Object of Administering Provider.

    - #### setAdministeringProvider

          public void setAdministeringProvider(ISingleCollection<XCN> objadministeringProviderList)

      Set the Administering Provider. This field provides ID of the person who administering the pharmaceutical/treatment.
      Parameters:
        `objadministeringProviderList` - List of Administering Provider.

    - #### addAdministrationNotes

          public void addAdministrationNotes(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Administration Notes.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAdministrationNotes

          public void addAdministrationNotes(CWE objadministrationNotes)

      Add the Administration Notes.
      Parameters:
        `objadministrationNotes` - Object of Administration Notes.

    - #### setAdministrationNotes

          public void setAdministrationNotes(ISingleCollection<CWE> objadministrationNotesList)

      Set the Administration Notes.
      Parameters:
        `objadministrationNotesList` - List of Administration Notes.

    - #### setAdministrationSub_IDCounter

          public void setAdministrationSub_IDCounter(java.lang.String strAdministrationSub_IDCounter)

      Set the Administration Sub ID Counter. This field starts with 1 the first time that medication/treatment is administer for this order. Increments by one with each additional administration the medication/treatment.
      Parameters:
        `strAdministrationSub_IDCounter` - This field contains the String Value of Administration Sub-ID Counter

    - #### setAdministrationSub_IDCounter

          public void setAdministrationSub_IDCounter(NM objadministrationSub_IDCounter)

      Set the Administration Sub ID Counter. This field starts with 1 the first time that medication/treatment is administer for this order. Increments by one with each additional administration the medication/treatment.
      Parameters:
        `objadministrationSub_IDCounter` - Object of Administration Sub ID Counter.

    - #### setCompletionStatus

          public void setCompletionStatus(java.lang.String strCompletionStatus)

      Set the Completion Status.
      Parameters:
        `strCompletionStatus` - This field contains the String Value of Completion Status

    - #### setCompletionStatus

          public void setCompletionStatus(ID objcompletionStatus)

      Set the Completion Status.
      Parameters:
        `objcompletionStatus` - Object of Completion Status.

    - #### setDateTimeEndofAdministration

          public void setDateTimeEndofAdministration(java.lang.String strTime)

      Set the Date/Time End of Administration.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeEndofAdministration

          public void setDateTimeEndofAdministration(DTM objdateTimeEndofAdministration)

      Set the Date/Time End of Administration.
      Parameters:
        `objdateTimeEndofAdministration` - Object of Date/Time End of Administration.

    - #### setDateTimeStartofAdministration

          public void setDateTimeStartofAdministration(java.lang.String strTime)

      Set the Date Time Start of Administration.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeStartofAdministration

          public void setDateTimeStartofAdministration(DTM objdateTimeStartofAdministration)

      Set the Date Time Start of Administration.
      Parameters:
        `objdateTimeStartofAdministration` - Object of Date Time Start of Administration.

    - #### setGiveSub_IDCounter

          public void setGiveSub_IDCounter(java.lang.String strGiveSub_IDCounter)

      Set the Give Sub ID Counter. This field matches the RXA segment to its corresponding RXG segment.
      Parameters:
        `strGiveSub_IDCounter` - This field contains the String Value of Give Sub-ID Counter

    - #### setGiveSub_IDCounter

          public void setGiveSub_IDCounter(NM objgiveSub_IDCounter)

      Set the Give Sub ID Counter. This field matches the RXA segment to its corresponding RXG segment.
      Parameters:
        `objgiveSub_IDCounter` - Object of Give Sub ID Counter.

    - #### addIndication

          public void addIndication(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Indication.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIndication

          public void addIndication(CWE objindication)

      Add the Indication.
      Parameters:
        `objindication` - Object of Indication.

    - #### setIndication

          public void setIndication(ISingleCollection<CWE> objindicationList)

      Set the Indication.
      Parameters:
        `objindicationList` - List of Indication.

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(java.lang.String strPharmacyOrderType)

      Set the Pharmacy Order Type. This specify general category of pharmacy order which may be used to determine the processing path the order will take.
      Parameters:
        `strPharmacyOrderType` - String which to set as Pharmacy Order Type

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(ID objpharmacyOrderType)

      Set the Pharmacy Order Type. This specify general category of pharmacy order which may be used to determine the processing path the order will take.
      Parameters:
        `objpharmacyOrderType` - Object of Pharmacy Order Type.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(java.lang.String strTime)

      Add the Substance Expiration Date.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(DTM objsubstanceExpirationDate)

      Add the Substance Expiration Date.
      Parameters:
        `objsubstanceExpirationDate` - Object of Substance Expiration Date.

    - #### setSubstanceExpirationDate

          public void setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)

      Set the Substance Expiration Date.
      Parameters:
        `objsubstanceExpirationDateList` - List of Substance Expiration Date.

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)

      Add the Substance Lot Number.
      Parameters:
        `strSubstanceLotNumber` - String which to set as Substance Lot Number

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(ST objsubstanceLotNumber)

      Add the Substance Lot Number.
      Parameters:
        `objsubstanceLotNumber` - Object of Substance Lot Number.

    - #### setSubstanceLotNumber

          public void setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)

      Set the Substance Lot Number.
      Parameters:
        `objsubstanceLotNumberList` - List of Substance Lot Number.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Substance Manufacturer Name.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(CWE substanceManufacturerName)

      Add the Substance Manufacturer Name.
      Parameters:
        `substanceManufacturerName` - Object of Substance Manufacturer Name.

    - #### setSubstanceManufacturerName

          public void setSubstanceManufacturerName(ISingleCollection<CWE> substanceManufacturerNameList)

      Set the Substance Manufacturer Name.
      Parameters:
        `substanceManufacturerNameList` - List of Substance Manufacturer Name.

    - #### addSubstanceTreatmentRefusalReason

          public void addSubstanceTreatmentRefusalReason(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Substance Treatment Refusal Reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSubstanceTreatmentRefusalReason

          public void addSubstanceTreatmentRefusalReason(CWE objsubstanceTreatmentRefusalReason)

      Add the Substance Treatment Refusal Reason.
      Parameters:
        `objsubstanceTreatmentRefusalReason` - Object of Substance Treatment Refusal Reason.

    - #### setSubstanceTreatmentRefusalReason

          public void setSubstanceTreatmentRefusalReason(ISingleCollection<CWE> objsubstanceTreatmentRefusalReasonList)

      Set the Substance Treatment Refusal Reason.
      Parameters:
        `objsubstanceTreatmentRefusalReasonList` - List of Substance Treatment Refusal Reason.

    - #### setSystemEntryDateTime

          public void setSystemEntryDateTime(java.lang.String strTime)

      Set the System Entry Date Time. This field Date/time information is entered into the source system.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setSystemEntryDateTime

          public void setSystemEntryDateTime(DTM objsystemEntryDateTime)

      Set the System Entry Date Time. This field Date/time information is entered into the source system.
      Parameters:
        `objsystemEntryDateTime` - Object of System Entry Date Time.

    - #### setAdministeredAtAddress

          public void setAdministeredAtAddress(SAD objStreetAddress,
                                      java.lang.String strOtherDesignation,
                                      java.lang.String strCity,
                                      java.lang.String strStateOrProvince,
                                      java.lang.String strZipOrPostalCode,
                                      java.lang.String strCountry,
                                      java.lang.String strAddressType,
                                      java.lang.String strOtherGeographicDesignation,
                                      CWE objCountyParishCode,
                                      CWE objCensusTract,
                                      java.lang.String strAddressRepresentationCode,
                                      DTM objEffectiveDate,
                                      DTM objExpirationDate,
                                      CWE objEXpirationReason,
                                      java.lang.String strTemporaryIndicator,
                                      java.lang.String strBadAddressIndicator,
                                      java.lang.String strAddressUsage,
                                      java.lang.String strAddressee,
                                      java.lang.String strComment,
                                      java.lang.String strPreferenceOrder,
                                      CWE objProtectionCode,
                                      EI objAddressIdentifier)

      Set the Administered-at Address. This field specifies the address of the location where the drug or treatment was administered.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setAdministeredAtAddress

          public void setAdministeredAtAddress(XAD objAdministeredAtAddress)

      Set the Administered-at Address. This field specifies the address of the location where the drug or treatment was administered.
      Parameters:
        `objAdministeredAtAddress` - Object of Administered-at Address.

    - #### setAdministerAt

          public void setAdministerAt(HD objPointOfCare,
                             HD objRoom,
                             HD objBed,
                             HD objFacility,
                             java.lang.String strLocationStatus,
                             java.lang.String strPersonLocationType,
                             java.lang.String strBuilding,
                             java.lang.String strFloor,
                             java.lang.String strLocationDescription,
                             EI objComprehensiveLocationIdentifier,
                             HD objAssigningAuthorityForLocation)

      Set the Administer-at. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setAdministerAt

          public void setAdministerAt(PL objAdministerAt)

      Set the Administer-at. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `objAdministerAt` - Object of Administer-at.

    - #### addAdministeredTagIdentifier

          public void addAdministeredTagIdentifier(java.lang.String strEntityIdentifier,
                                          java.lang.String strNamespaceId,
                                          java.lang.String strUniversalId,
                                          java.lang.String strUniversalIdType)

      Add the Administered Tag Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addAdministeredTagIdentifier

          public void addAdministeredTagIdentifier(EI objAdministeredTagIdentifier)

      Add the Administered Tag Identifier.
      Parameters:
        `objAdministeredTagIdentifier` - Object of Administered Tag Identifier.

    - #### setAdministeredTagIdentifier

          public void setAdministeredTagIdentifier(ISingleCollection<EI> objAdministeredTagIdentifierList)

      Set the Administered Tag Identifier.
      Parameters:
        `objAdministeredTagIdentifierList` - List of Administered Tag Identifier.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.